Loading...
Searching...
No Matches
GridChecksum Class Reference

Class that encapsulates two CRC32 checksums, one for the Grid, Tree and Root node meta data and one for the remaining grid nodes. More...

`#include <nanovdb/util/GridChecksum.h>`

## Public Member Functions

| GridChecksum ()
| GridChecksum (uint32_t head, uint32_t tail)
| GridChecksum (uint64_t checksum, ChecksumMode mode=ChecksumMode::Full)
uint64_t | checksum () const
uint32_t | crc32 (int i) const
bool | isFull () const
bool | isEmpty () const
ChecksumMode | mode () const
template<typename ValueT>
void | operator() (const NanoGrid< ValueT > &grid, ChecksumMode mode=ChecksumMode::Full)
bool | operator== (const GridChecksum &rhs) const
bool | operator!= (const GridChecksum &rhs) const

## Static Public Attributes

static const uint64_t | EMPTY = (static_cast<uint64_t>(CRC32::EMPTY) << 32) | static_cast<uint64_t>(CRC32::EMPTY)

## Detailed Description

Class that encapsulates two CRC32 checksums, one for the Grid, Tree and Root node meta data and one for the remaining grid nodes.

## Constructor & Destructor Documentation

## GridChecksum() [1/3]

GridChecksum | ( |  | ) |

inline

## GridChecksum() [2/3]

GridChecksum | ( | uint32_t | head,
|  | uint32_t | tail )

inline

## GridChecksum() [3/3]

GridChecksum | ( | uint64_t | checksum,
|  | ChecksumMode | mode = ChecksumMode::Full )

inline

## Member Function Documentation

## checksum()

uint64_t checksum | ( |  | ) | const

inline

## crc32()

uint32_t crc32 | ( | int | i | ) | const

inline

## isEmpty()

bool isEmpty | ( |  | ) | const

inline

## isFull()

bool isFull | ( |  | ) | const

inline

## mode()

ChecksumMode mode | ( |  | ) | const

inline

## operator!=()

bool operator!= | ( | const GridChecksum & | rhs | ) | const

inline

## operator()()

template<typename ValueT>

void operator() | ( | const NanoGrid< ValueT > & | grid,
|  | ChecksumMode | mode = ChecksumMode::Full )

## operator==()

bool operator== | ( | const GridChecksum & | rhs | ) | const

inline

## Member Data Documentation

## EMPTY

const uint64_t EMPTY = (static_cast<uint64_t>(CRC32::EMPTY) << 32) | static_cast<uint64_t>(CRC32::EMPTY)

static

## mChecksum

uint64_t mChecksum

## mCRC

uint32_t mCRC[2]